Subject: Re: I want "fast forward my workdir to upstream if it's safe"

From: [email-masked] (Randal L. Schwartz)
Date: Thu, 07 May 2009 16:20:22 -0700

>>>>> "Wincent" == Wincent Colaiuta <[email-masked]> writes:

>> I want a *command* I can tell people in #git.

Wincent> "git status"?

Wincent> # On branch master
Wincent> # Your branch is ahead of 'origin/master' by 46 commits.
Wincent> #
Wincent> # Changed but not updated:
Wincent> #   (use "git add <file>..." to update what will be committed)
Wincent> #   (use "git checkout -- <file>..." to discard changes in working  directory)
Wincent> #
Wincent> #       modified:   foo
Wincent> #
Wincent> # Untracked files:
Wincent> #   (use "git add <file>..." to include in what will be committed)
Wincent> #
Wincent> #       bar

Now, you expect them to parse that in a script?  "git status" is porcelain,
not plumbing, and can change from version to version, and has.

I want a command I can put in a cron job that Does The Right Thing.

-- 
Randal L. Schwartz - Stonehenge Consulting Services, Inc. - +1 503 777 0095
<[email-masked]> <URL:http://www.stonehenge.com/merlyn/>
Smalltalk/Perl/Unix consulting, Technical writing, Comedy, etc. etc.
See http://methodsandmessages.vox.com/ for Smalltalk and Seaside discussion